package com.tzy.framework.pay.service.impl;

import com.tzy.framework.pay.dto.BankInfo;
import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.ResultMap;
import com.tzy.framework.pay.service.BankService;
import com.tzy.framework.pay.service.BofooAgreementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BankServiceImpl implements BankService {

    @Autowired
    private BofooAgreementService bofooAgreementService;

    public BankInfo ReadySign(BankInfo bankInfo){
        return bofooAgreementService.ReadySign(bankInfo);
    }

    public BankInfo ConfirmSign(BankInfo bankInfo){
        return bofooAgreementService.ConfirmSign(bankInfo);
    }

    public BankInfo QueryBind(BankInfo bankInfo) {
        return bofooAgreementService.QueryBind(bankInfo);
    }

    public BankInfo unBind(BankInfo bankInfo) {
        return bofooAgreementService.unBind(bankInfo);
    }

    public ResultMap SinglePay(PaymentRequestDto payRequestBody){
        return bofooAgreementService.SinglePay(payRequestBody);
    }
    /**
     * 预支付
     * @param payRequestBody
     */
    public ResultMap ReadyPay(PaymentRequestDto payRequestBody) {
        return bofooAgreementService.ReadyPay(payRequestBody);
    }

    /**
     * 确认支付
     * @param payRequestBody
     */
    public ResultMap ConfirmPay(PaymentRequestDto payRequestBody) {
        return bofooAgreementService.ConfirmPay(payRequestBody);
    }


}
